﻿@{ 
    var isAdmin = User.Identity.IsAuthenticated && User.IsInRole(EnumRole.Admin.ToString());
}

<nav class="navbar fixed-top navbar-expand-md navbar-dark bg-dark">
        <div class="container">
            <a class="navbar-brand" asp-area="" asp-action="Index" asp-controller="Home"><i class="fas fa-home"></i>&nbsp;Real Estate News</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item">
                        <a class="nav-link" asp-action="Index" asp-controller="Home" asp-area="">Posts</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Categories
                        </a>
                        @await Component.InvokeAsync("CategoryMenuComponent")
                    </li>
                    @if (isAdmin)
                    {
                        <li class="nav-item">
                            <a class="nav-link" asp-action="Index" asp-controller="Dashboard" asp-area="Admin">Admin Dashboard</a>
                        </li>
                    }
                    <li class="nav-item">
                        <a class="nav-link" href="@Url.Content("~/AboutUs")">About Us</a>
                    </li>
                </ul>
                <partial name="_LoginInfo" />
            </div>
        </div>
    </nav>